Subject: Re: dynamic binaries not working.

From: Kenneth Johansson <[email-masked]>
Date: Wed, 05 Jan 2000 13:47:49 +0100

Brendan J Simon wrote:

> Momchil 'Velco' Velikov wrote:
>
>
> I removed the -shared argument and the executable now looks a lot better interms of the vaddr and
> program headers etc.  I used "powerpc-linux-gcc -Wall -mcpu=860 -fpic -o bjs1 bjs1.c".  I tried
> with -fPIC, -fpic and without either.  The program still does not run however.  The output of
> objdump -p  is below.
> Does this look OK ?
> Any suggestions for debugging the code or the shared libraries ?
>

Have you patched your glibc source so it can work on 860 ??

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/